NX Open C++ Reference Guide
|
Represents a @link GeometricAnalysis::SolidDensity GeometricAnalysis::SolidDensity@endlink <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisManager::CreateSolidDensityObject GeometricAnalysis::AnalysisManager::CreateSolidDensityObject @endlink <br>
Created in NX5.0.0.
More...
Public Types | |
enum | UnitsType { UnitsTypePoundsPerCubicInches, UnitsTypePoundsPerCubicFeet, UnitsTypeGramsPerCubicCentimeters, UnitsTypeKilogramsPerCubicMeters } |
Types of units for solid density. More... | |
Public Member Functions | |
double | Density () |
Returns the Solid Density. | |
void | SetDensity (double density) |
Sets the Solid Density. | |
void | SetUnits (NXOpen::GeometricAnalysis::SolidDensity::UnitsType units) |
Sets the density units for GeometricAnalysis::SolidDensity . | |
NXOpen::SelectObjectList * | Solids () |
Returns the solids to set density for Created in NX5.0.0. | |
NXOpen::GeometricAnalysis::SolidDensity::UnitsType | Units () |
Returns the density units for GeometricAnalysis::SolidDensity . | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link GeometricAnalysis::SolidDensity GeometricAnalysis::SolidDensity@endlink <br> To create a new instance of this class, use @link GeometricAnalysis::AnalysisManager::CreateSolidDensityObject GeometricAnalysis::AnalysisManager::CreateSolidDensityObject @endlink <br>
Created in NX5.0.0.
double NXOpen::GeometricAnalysis::SolidDensity::Density | ( | ) |
Returns the Solid Density.
Units and SetUnits must be specified before specifying the density. When Units and SetUnits is changed, Density and SetDensity value is recomputed to reflect the change in units. Set Units and SetUnits first, then Density and SetDensity to set specify the density along with its units.
Created in NX5.0.0.
License requirements : None
void NXOpen::GeometricAnalysis::SolidDensity::SetDensity | ( | double | density | ) |
Sets the Solid Density.
Units and SetUnits must be specified before specifying the density. When Units and SetUnits is changed, Density and SetDensity value is recomputed to reflect the change in units. Set Units and SetUnits first, then Density and SetDensity to set specify the density along with its units.
Created in NX5.0.0.
License requirements : None
density | density |
void NXOpen::GeometricAnalysis::SolidDensity::SetUnits | ( | NXOpen::GeometricAnalysis::SolidDensity::UnitsType | units | ) |
Sets the density units for GeometricAnalysis::SolidDensity .
When @link Units Units @endlink and @link SetUnits SetUnits @endlink is changed, @link Density Density @endlink and @link SetDensity SetDensity @endlink value is recomputed to reflect the change in units. Set @link Units Units @endlink and @link SetUnits SetUnits @endlink first, then @link Density Density @endlink and @link SetDensity SetDensity @endlink to set specify the density with units.
Created in NX5.0.0.
License requirements : None
units | Type of Units |
NXOpen::SelectObjectList* NXOpen::GeometricAnalysis::SolidDensity::Solids | ( | ) |
Returns the solids to set density for
Created in NX5.0.0.
License requirements : None
NXOpen::GeometricAnalysis::SolidDensity::UnitsType NXOpen::GeometricAnalysis::SolidDensity::Units | ( | ) |
Returns the density units for GeometricAnalysis::SolidDensity .
When @link Units Units @endlink and @link SetUnits SetUnits @endlink is changed, @link Density Density @endlink and @link SetDensity SetDensity @endlink value is recomputed to reflect the change in units. Set @link Units Units @endlink and @link SetUnits SetUnits @endlink first, then @link Density Density @endlink and @link SetDensity SetDensity @endlink to set specify the density with units.
Created in NX5.0.0.
License requirements : None